io.vertx.rxjava3.ext.web

## Class MIMEHeader

- java.lang.Object
- - io.vertx.rxjava3.ext.web.MIMEHeader

- All Implemented Interfaces:
    ParsedHeaderValue

      public class MIMEHeader
      extends Object
      implements ParsedHeaderValue

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MIMEHeader>` | `__TYPE_ARG`
    `static float` | `DEFAULT_WEIGHT` If no "q" parameter is present, the default weight is 1.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MIMEHeader(MIMEHeader delegate)`
    `MIMEHeader(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `component()` Gets the parsed component part of the MIME.
    `boolean` | `equals(Object o)`
    `MIMEHeader` | `getDelegate()`
    `int` | `hashCode()`
    `boolean` | `isMatchedBy(ParsedHeaderValue matchTry)` Test if this header is matched by matchTry header
    `boolean` | `isPermitted()` Is this an allowed operation as specified by the corresponding header?
    `static MIMEHeader` | `newInstance(MIMEHeader arg)`
    `String` | `parameter(String key)` The value of the parameter specified by this key.
    `Map<String,String>` | `parameters()` The parameters specified in this header value.
    `String` | `rawValue()` Contains the raw value that was received from the user agent
    `String` | `subComponent()` Gets the parsed subcomponent part of the MIME.
    `String` | `toString()`
    `String` | `value()` Holds the unparsed value of the header. For the most part, this is the content before the semi-colon (";")
    `float` | `weight()` Holds the weight specified in the "q" parameter of the header. If the parameter is not specified, 1.0 is assumed according to rfc7231
    `int` | `weightedOrder()` An integer that represents the absolute order position of this header

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.ParsedHeaderValue

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MIMEHeader> __TYPE_ARG

    - #### DEFAULT_WEIGHT

          public static final float DEFAULT_WEIGHT

      If no "q" parameter is present, the default weight is 1.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MIMEHeader

          public MIMEHeader(MIMEHeader delegate)

    - #### MIMEHeader

          public MIMEHeader(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public MIMEHeader getDelegate()

      Specified by:
        `getDelegate` in interface `ParsedHeaderValue`

    - #### rawValue

          public String rawValue()

      Contains the raw value that was received from the user agent
      Specified by:
        `rawValue` in interface `ParsedHeaderValue`
      Returns:

    - #### value

          public String value()

      Holds the unparsed value of the header.
      For the most part, this is the content before the semi-colon (";")
      Specified by:
        `value` in interface `ParsedHeaderValue`
      Returns:

    - #### weight

          public float weight()

      Holds the weight specified in the "q" parameter of the header.
      If the parameter is not specified, 1.0 is assumed according to rfc7231
      Specified by:
        `weight` in interface `ParsedHeaderValue`
      Returns:

    - #### parameter

          public String parameter(String key)

      The value of the parameter specified by this key. Each is one of 3 things:
      1. null <- That key was not specified
      2. ParsedHeaderValue.EMPTY (tested using ==) <- The value was not specified
      3. [Other] <- The value of the parameter
      Note: The `q` parameter is never present.
      Specified by:
        `parameter` in interface `ParsedHeaderValue`
      Parameters:
        `key` -
      Returns:

    - #### parameters

          public Map<String,String> parameters()

      The parameters specified in this header value. Note: The `q` parameter is never present.
      Specified by:
        `parameters` in interface `ParsedHeaderValue`
      Returns:
        Unmodifiable Map of parameters of this header value

    - #### isPermitted

          public boolean isPermitted()

      Is this an allowed operation as specified by the corresponding header?
      Specified by:
        `isPermitted` in interface `ParsedHeaderValue`
      Returns:

    - #### isMatchedBy

          public boolean isMatchedBy(ParsedHeaderValue matchTry)

      Test if this header is matched by matchTry header
      Specified by:
        `isMatchedBy` in interface `ParsedHeaderValue`
      Parameters:
        `matchTry` - The header to be matched from
      Returns:
        true if this header represents a subset of matchTry, otherwise, false

    - #### weightedOrder

          public int weightedOrder()

      An integer that represents the absolute order position of this header
      Specified by:
        `weightedOrder` in interface `ParsedHeaderValue`
      Returns:

    - #### component

          public String component()

      Gets the parsed component part of the MIME. This is the string between the beginning and the first `'/'` of the MIME
      Returns:
        The component of the MIME this represents

    - #### subComponent

          public String subComponent()

      Gets the parsed subcomponent part of the MIME. This is the string between the first `'/'` and the `';'` or the end of the MIME
      Returns:
        The subcomponent of the MIME this represents

    - #### newInstance

          public static MIMEHeader newInstance(MIMEHeader arg)

Copyright © 2022 Eclipse. All rights reserved.